View Issue Details

IDProjectCategoryView StatusLast Update
0029742LazarusIDEpublic2018-08-31 12:41
ReporterOndrej Pokorny Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityN/A
Status assignedResolutionopen 
Product Version1.7 (SVN) 
Summary0029742: Feature request: Desktops redesign
Description1.) Removal of IDE Options -> Environment -> Windows -> Window Positons.
Why: The desktop features duplicate "Restore window geometry" and "Custom window geometry" settings. The other two settings ("Let windowmanager decide" and "Fixed default geometry") seem useless for me. The options also conflict with Desktop window layout.
Column widths and other window layout settings will be saved through new generic interface.

2.) Moving options that are saved in the desktop into new IDE Options category "Desktop" (within the same IDE Options dialog).
"Environment -> Window" :: "Desktop -> Window"
"Environment -> IDE coolbar" :: "Desktop -> IDE coolbar"
"Environment -> Editor toolbar" :: "Desktop -> Editor toolbar"
"Environment -> AnchorDocking" :: "Desktop -> AnchorDocking"
Why: just to make sure people understand that these settings are saved in the Desktop and change when Desktop is changed and that they are not IDE-wide.

3.) User-configurable options (from IDE Options) will be always auto saved just like all other options are. The "auto save" setting from Desktop Manager will affect only window layout that is not manually configurable.
TagsNo tags attached.
Fixed in Revision56907
LazTarget-
Widgetset
Attached Files

Relationships

related to 0029702 resolvedOndrej Pokorny Lazarus "Get Position" in IDE Options not working 
related to 0029863 resolvedOndrej Pokorny Packages [regression] Anchordocking doesn't work in Lazarus 1.6 but works in Lazarus 1.4.4 
related to 0032805 closedJuha Manninen Lazarus IDE Tools Menu -> Options -> Window -> Window positions inconsistent 

Activities

Juha Manninen

2018-08-31 10:37

developer   ~0110398

Last edited: 2018-08-31 10:45

View 2 revisions

Ondrej, you removed the GUI already in January.
I guess the part 2. is still missing and this issue stays open for that.

Ondrej Pokorny

2018-08-31 12:41

developer   ~0110402

Juha, no please not yet. The second point is still missing.

Issue History

Date Modified Username Field Change
2016-02-27 07:46 Ondrej Pokorny New Issue
2016-02-27 07:46 Ondrej Pokorny Status new => assigned
2016-02-27 07:46 Ondrej Pokorny Assigned To => Ondrej Pokorny
2016-03-13 19:31 Ondrej Pokorny Relationship added related to 0029702
2016-09-21 13:45 Ondrej Pokorny Relationship added related to 0029863
2018-01-01 21:27 Ondrej Pokorny Fixed in Revision => 56907
2018-08-31 10:12 Juha Manninen Relationship added related to 0032805
2018-08-31 10:37 Juha Manninen Note Added: 0110398
2018-08-31 10:45 Juha Manninen Note Edited: 0110398 View Revisions
2018-08-31 12:41 Ondrej Pokorny Note Added: 0110402